### Struct

# Camel Trie

since: 2.24

#### Description [src]

    struct CamelTrie {
      /* No available fields */
    }

A trie data structure.

Available since: 2.24

#### Functions

###### camel_trie_new

Creates a new `CamelTrie`. If `icase` is `TRUE`, then pattern matching done by the CamelTrie will be case insensitive.

since: 2.24

#### Instance methods

###### camel_trie_add

Add a new pattern to the `CamelTrie` `trie`.

since: 2.24

###### camel_trie_free

Frees the memory associated with the `CamelTrie` `trie`.

since: 2.24

###### camel_trie_search

Try to match the string `buffer` with a pattern in `trie`.

since: 2.24